summaryrefslogtreecommitdiff
path: root/hooks/build-os
diff options
context:
space:
mode:
authorPhilip J Freeman <elektron@halo.nu>2025-05-31 12:34:14 -0700
committerPhilip J Freeman <elektron@halo.nu>2025-05-31 15:47:31 -0700
commit73935c5979a00b5042c47605a513193ff802ab2c (patch)
tree652ec11ca40bc8859685683eabcfd7880c359f14 /hooks/build-os
parent34105077c777b0d2c5c69f39921f376b84ce1443 (diff)
add system packages
Diffstat (limited to 'hooks/build-os')
-rwxr-xr-xhooks/build-os/30-packages15
1 files changed, 15 insertions, 0 deletions
diff --git a/hooks/build-os/30-packages b/hooks/build-os/30-packages
new file mode 100755
index 0000000..107091b
--- /dev/null
+++ b/hooks/build-os/30-packages
@@ -0,0 +1,15 @@
+#!/bin/bash -xe
+set -o pipefail
+
+packages=(
+ debootstrap
+ dosfstools
+ nethack-console
+ ostree
+ parted
+ systemd-container
+ )
+
+chroot "${root:?}" apt-get -y install "${packages[@]}"
+
+echo 'kernel.unprivileged_userns_clone=1' > "${root:?}"/etc/sysctl.d/nspawn.conf